--[[Según estas funciones serían como los mosaicos del 3.9
(Type=tiles) pero ya no porque me dio weba y no hayé una
forma de agarrar el largo/ancho del archivo usado como
mosaico para determinar el máximo de gráficos. Aunque
en este momento ya sé como hacerlo pero ya dije que me
da weba... además ya me dieron otro tip n_n.

De hecho, para hacer este intento de función me basé en
los mosaicos que hice para el gameover (las letritas que
dicen gameover arriba y abajo de la pantalla en dos filas
una más rápida que la otra). Desde un script no sirvió porque
me tira errores de assert, load, invalid y demás cochinada,
como función local de un bga si podría servir a la perfección,
solo hay que arreglar aquellos detallitos de allá arribita, pero
no es lo que quería...

En fin, para quien le interese acá el lua]]

function HorizontalTiles(file, Velocity, Ystart, ExSpacing)
	local t = Def.ActorFrame {}
	local FileWidth = 300	--self:GetWidth
	local maxitems = math.ceil((SCREEN_WIDTH/FileWidth)+1)
	
	for i=0,maxitems do
	t[#t+1] = LoadActor( file )..{
		InitCommand=cmd(playcommand,"Loop");
		LoopCommand=function(self)
			local width = self:GetWidth()+ExSpacing
			self:x((i-1)*width);
			self:y(Ystart);
			self:linear(Velocity);
			self:x(i*width);
			self:queuecommand("Loop");
		end;
	}
	end
	return t
end

function VerticalTiles(file, Velocity, Xstart, ExSpacing)
	local t = Def.ActorFrame {}
	local FileHeight = 20	--self:GetHeight
	local maxitems = math.ceil((SCREEN_HEIGHT/FileHeight))
	
	for i=0,maxitems do
	t[#t+1] = LoadActor( file )..{
		InitCommand=cmd(playcommand,"Loop");
		LoopCommand=function(self)
			local height = self:GetHeight()+ExSpacing
			self:x(Xstart);
			self:y((i-1)*height);
			self:linear(Velocity);
			self:y(i*height);
			self:queuecommand("Loop");
		end;
	}
	end
	return t
end
